package com.dji.sdk.common;


/**
 * 高德经纬度类
 * @author hqjiang
 * @version 1.0
 * @date 2024/7/2
 */
public class AMap {
    /**
     * 经度
     */
    private double longitude;

    /**
     * 维度
     */
    private double latitude;

    public AMap(double wgLon, double wgLat) {
        this.longitude = wgLon;
        this.latitude = wgLat;
    }

    public AMap() {
    }

    @Override
    public String toString() {
        return "AMap{" +
                "longitude=" + longitude +
                ", latitude=" + latitude +
                '}';
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLatitude() {
        return latitude;
    }
}
